/*
 * maevies_window.h
 *
 * This file is part of maevies
 * Copyright (C) 2009 spenap <spenap@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#ifndef MAEVIES_WINDOW_H_
#define MAEVIES_WINDOW_H_

#include <hildon/hildon.h>
#include <libosso.h>

#include "maevies_movie.h"

G_BEGIN_DECLS

#define MAEVIES_TYPE_WINDOW maevies_window_get_type()

#define MAEVIES_WINDOW(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  MAEVIES_TYPE_WINDOW, MaeviesWindow))

#define MAEVIES_WINDOW_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  MAEVIES_TYPE_WINDOW, MaeviesWindowClass))

#define MAEVIES_IS_WINDOW(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  MAEVIES_TYPE_WINDOW))

#define MAEVIES_IS_WINDOW_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  MAEVIES_TYPE_WINDOW))

#define MAEVIES_WINDOW_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  MAEVIES_TYPE_WINDOW, MaeviesWindowClass))

typedef struct _MaeviesWindow MaeviesWindow;
typedef struct _MaeviesWindowClass MaeviesWindowClass;

struct _MaeviesWindow {

	/* The Hildon window */
	HildonWindow parent;

	/* Osso context */
	osso_context_t *osso;

	/* "Say hello world" button */
	GtkWidget *hello_item;

	MaeviesMovie *movie;
};

struct _MaeviesWindowClass {
	HildonWindowClass parent_class;
};

GType maevies_window_get_type(void);

MaeviesWindow* maevies_window_new(osso_context_t *osso);

G_END_DECLS

#endif /* MAEVIES_WINDOW_H_ */
